Bug 28765 - sub find_value not used in tools/batchMod.pl
Summary: sub find_value not used in tools/batchMod.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28445
  Show dependency treegraph
 
Reported: 2021-07-27 12:54 UTC by Jonathan Druart
Modified: 2021-12-13 21:14 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28765: Remove sub find_value from batchMod.pl (1.13 KB, patch)
2021-07-27 12:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28765: Remove sub find_value from batchMod.pl (1.18 KB, patch)
2021-07-31 18:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 28765: Remove sub find_value from batchMod.pl (1.24 KB, patch)
2021-08-11 06:53 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-07-27 12:54:51 UTC
This subroutine is not used and can be removed
Comment 1 Jonathan Druart 2021-07-27 12:56:28 UTC
Created attachment 123211 [details] [review]
Bug 28765: Remove sub find_value from batchMod.pl

It has never been used and should be removed

Test plan:
Search for "find_value" in the file and confirm that there is no more
occurrence
Comment 2 David Nind 2021-07-31 18:56:35 UTC
Created attachment 123353 [details] [review]
Bug 28765: Remove sub find_value from batchMod.pl

It has never been used and should be removed

Test plan:
Search for "find_value" in the file and confirm that there is no more
occurrence

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Martin Renvoize 2021-08-11 06:52:56 UTC
Just came accross this myself.. the same function in additem is also not used as far as I can tell but you appear to have dealt with that in bug 27526.
Comment 4 Martin Renvoize 2021-08-11 06:53:48 UTC
Created attachment 123735 [details] [review]
Bug 28765: Remove sub find_value from batchMod.pl

It has never been used and should be removed

Test plan:
Search for "find_value" in the file and confirm that there is no more
occurrence

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-08-11 06:54:03 UTC
Trivial fix, PQA
Comment 6 Jonathan Druart 2021-08-16 10:05:15 UTC
Pushed to master for 21.11, thanks to everybody involved!